<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div #table class="history history---border">
  <table [dataSource]="appProcessHistoryData" class="history--table" mat-table>

    <caption hidden>{{ "workflow.processInformation" | translate}}</caption>

    <ng-container matColumnDef="icon">
      <th *matHeaderCellDef
          class="history--table--cell history--table--cell---border history--table--cell---bold history--table--cell---icon-size"
          mat-header-cell
          scope="col"></th>
      <td *matCellDef="let taskStep" class="history--table--cell history--table--cell---border" mat-cell>
        <mat-icon [ngClass]="taskStep.cancelled ? 'history--table--cell--icon---red': ''">{{taskStep.icon}}</mat-icon>
      </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th *matHeaderCellDef class="history--table--cell history--table--cell---border history--table--cell---bold"
          mat-header-cell scope="col">{{"workflow.processStatus.headers.action" | translate}}</th>
      <td *matCellDef="let taskStep" class="history--table--cell history--table--cell---border"
          mat-cell> {{taskStep.activityName ? taskStep.activityName : ""}} </td>
    </ng-container>

    <ng-container matColumnDef="done">
      <th *matHeaderCellDef class="history--table--cell history--table--cell---border history--table--cell---bold"
          mat-header-cell scope="col"> {{"workflow.processStatus.headers.isDone" | translate}}</th>
      <td *matCellDef="let taskStep" class="history--table--cell history--table--cell---border"
          mat-cell> {{taskStep.endTime ? (taskStep.endTime | appMomentPipe).format(timeDisplayFormat) : ""}} </td>
    </ng-container>
    <ng-container matColumnDef="user">
      <th *matHeaderCellDef class="history--table--cell history--table--cell---border history--table--cell---bold"
          mat-header-cell scope="col"> {{"workflow.processStatus.headers.editor" | translate}}</th>
      <td *matCellDef="let taskStep" class="history--table--cell history--table--cell---border"
          mat-cell> {{taskStep.assignee ? taskStep.assignee : ""}} </td>
    </ng-container>

    <tr *matHeaderRowDef="columnsToDisplay; sticky: true" class="history--table--row" mat-header-row></tr>
    <tr *matRowDef="let myRowData; columns: columnsToDisplay"
        class="history--table--row history--table--row---alternating-color" mat-row></tr>

  </table>
</div>





